### Property

# Adw NavigationPage:tag

since: 1.4

#### Declaration

    property tag: utf8 [ read, write ]

#### Description [src]

The page tag.

The tag can be used to retrieve the page with `adw_navigation_view_find_page()`, as well as with `adw_navigation_view_push_by_tag()`, `adw_navigation_view_pop_to_tag()` or `adw_navigation_view_replace_with_tags()`.

Tags must be unique within each `AdwNavigationView`.

The tag also must be set to use the `navigation.push` action.

Type:`gchar*`

Available since: 1.4

Default value | NULL
Getter method | `adw_navigation_page_get_tag()`
Setter method | `adw_navigation_page_set_tag()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no